Summary:	Nagg - HDF NPP Aggregation tool
Summary(pl.UTF-8):	Nagg - narzędzie do agregacji HDF NPP
Name:		nagg
Version:	1.5.1
Release:	3
Group:		Applications/File
License:	BSD-like, changed sources must be marked
Source0:	http://www.hdfgroup.uiuc.edu/ftp/pub/outgoing/NPOESS/source/NAGG/%{name}-%{version}.tar.gz
# Source0-md5:	345dc77e9d3c867eb7c9cbc10290f40b
URL:		http://www.hdfgroup.org/projects/npoess/nagg_index.html
BuildRequires:	hdf5-devel
BuildRequires:	hdf5_hl_region-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nagg is a tool for aggregating JPSS data granules from existing files
into new files with a different number of granules per file or
different combinations of compatible products than in the original
files. The tool was created to provide individual users the ability to
rearrange NPP product data granules from downloaded files into new
files with aggregations or packaging that are better suited as input
for a particular application.

%description -l pl.UTF-8
Nagg to narzędzie do agregacji porcji danych JPSS z istniejących
plików do nowych plików o innej liczbie porcji w pliku lub innej
kombinacji zgodnych wyników niż w plikach oryginalnych. Narzędzie
powstało w celu umożliwienia użytkownikom zmiany rozłożenia porcji
wyników NPP z pobranych plików do nowych plików z agregatami lub
pakowania bardziej dopasowanego do wejścia danej aplikacji.

%prep
%setup -q

%build
%configure

%{__make} \
	nagg_LDADD="-lm"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING doc/{History,RELEASE.txt,*.pdf}
%attr(755,root,root) %{_bindir}/nagg
%changelog
* Mon Jul 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagg.git;a=log;h=master

* Mon Jul 13 2015 Jan Rękorajski <baggins@pld-linux.org> 611c164
- release 3 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 49ac880
- rebuild with hdf5 1.8.14
- release 2 (by relup.sh)

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> d24621e
- updated to 1.5.1

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 55a24ef
- release 2 (by relup.sh)

* Wed Apr 03 2013 Jakub Bogusz <qboosh@pld-linux.org> af93064
- new

